#pragma once
#include <enginend/engine.h>


class basic : public enginend::program{
public:
	basic();
	void boot() override;
	void draw() override;
	void tick() override;
	void exit() override;
	~basic();
};
class browser: public basic {
public:
	browser();
	void boot() final;
	void draw() final;
	void tick() final;
	void exit() final;
	~browser();
};